All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::zero_vector< NumericT > Struct Template Reference

`#include <vector_def.hpp>`

Inheritance diagram for viennacl::zero_vector< NumericT >:

## Public Member Functions

| zero_vector (vcl_size_t s, viennacl::context ctx=viennacl::context())
Public Member Functions inherited from viennacl::scalar_vector< NumericT >
| scalar_vector (vcl_size_t s, NumericT val, viennacl::context ctx=viennacl::context())
Public Member Functions inherited from viennacl::implicit_vector_base< NumericT >
viennacl::context | context () const
vcl_size_t | size () const
cpu_value_type | value () const
vcl_size_t | index () const
bool | has_index () const
cpu_value_type | operator() (vcl_size_t i) const
cpu_value_type | operator[] (vcl_size_t i) const

## Additional Inherited Members

Public Types inherited from viennacl::implicit_vector_base< NumericT >
typedef NumericT const & | const_reference
typedef NumericT | cpu_value_type
Protected Member Functions inherited from viennacl::implicit_vector_base< NumericT >
| implicit_vector_base (vcl_size_t s, vcl_size_t i, NumericT v, viennacl::context ctx)
| implicit_vector_base (vcl_size_t s, NumericT v, viennacl::context ctx)
Protected Attributes inherited from viennacl::implicit_vector_base< NumericT >
vcl_size_t | size_
std::pair< bool, vcl_size_t > | index_
NumericT | value_
viennacl::context | ctx_

## Detailed Description

### template<typename NumericT>
struct viennacl::zero_vector< NumericT >

Definition at line 93 of file vector_def.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::zero_vector< NumericT >::zero_vector | ( | vcl_size_t | s,
|  | viennacl::context | ctx = `viennacl::context()`
| ) |  |

inline

Definition at line 95 of file vector_def.hpp.

The documentation for this struct was generated from the following file:

- viennacl/detail/vector_def.hpp